

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';

//Back Office Page
import {RoPage} from '../ro/ro';
import {BtbPage} from '../btb/btb';
import {PengembalianPage} from '../pengembalian/pengembalian';
import {PemindahanKasPage} from '../pemindahan-kas/pemindahan-kas';
import {SampelPage} from '../sampel/sampel';
import {MonitoringOfficePage} from '../monitoring-office/monitoring-office';
import {AuthService} from "../../providers/auth-service";
//Back Office Page

@IonicPage()
@Component({
    selector: 'page-office',
    templateUrl: 'office.html',
})
export class OfficePage {
    resposeData:any;
    userData = {
        username: ""
    }
    constructor(public navCtrl: NavController,
        public authService: AuthService,
        public navParams: NavParams) {
        const data = JSON.parse(localStorage.getItem("userData"));
        this.userData.username = data.userData.username;
    }

    ionViewDidLoad() {}

    openRO() {
        this.deleteAllCart();
        this.navCtrl.push(RoPage)
    }

    openBTB() {
        this.deleteAllCart();
        this.navCtrl.push(BtbPage)
    }

    openPengembalian() {
        this.deleteAllCart();
        this.navCtrl.push(PengembalianPage)
    }


    openPemindahanKas() {
        this.navCtrl.push(PemindahanKasPage)
    }

    openSampel() {
        this.deleteAllCart();
        this.navCtrl.push(SampelPage)
    }

    openMonitoringOffice() {
        this.navCtrl.push(MonitoringOfficePage)
    }

    deleteAllCart() {
        this.authService.postData(this.userData, "deletePageCart").then(
            result => {
                this.resposeData = result;
                console.log(this.resposeData)
            },
            err => {

            }
        );
    }
}
